* {
  margin: 0px;
  padding: 0px;
}
main {
  background: royalblue;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}
.wrapper {
  height: 80vh;
  width: 75%;
  display: grid;
  grid-template-columns: 40% 60%;
  align-items: center;
}
img {
  width: 50px;
}
.shoe {
  background: rgba(231, 79, 104, 0.849);
  height: 90%;
  position: relative;
  padding: 20px;
}
.detail {
  height: 70%;
  background: white;
  padding: 50px 25px;
}
.preview {
  position: relative;
  height: 80%;
}
.preview img {
  position: absolute;
  width: 100%;
  z-index: 10;
  top: 70%;
  left: -110px;
  transform: translateY(-50%) scale(1.2);
}
.size {
  position: absolute;
  font-size: 23rem;
  color: rgba(128, 128, 128, 0.712);
  left: 50%;
  transform: translateX(-50%);
  top: 0px;
}
.plus {
  font-size: 2.5rem;
  border-radius: 50%;
  padding: 5px 15px;
  background: blue;
  color: white;
  font-weight: 500;
  transform: scale(0.7);
  z-index: 11;
  position: absolute;
  cursor: grab;
  transition: all 0.25s ease;
}
.plus:hover {
  background: blueviolet;
}
.one {
  top: 60%;
  left: 10%;
}
.two {
  top: 30%;
}
.three {
  top: 80%;
  left: 50%;
}
.dots {
  margin-top: 40px;
  font-weight: 600;
  display: flex;
  justify-content: center;
}
.dot {
  height: 23px;
  width: 23px;
  border-radius: 50%;
  background: rgb(197, 194, 194);

  margin: 0px 5px;
  cursor: pointer;
}

.active {
  background: white;
}
.name {
  font-weight: 700;
  font-size: 3.2rem;
  margin-bottom: 15px;
}
.price {
  margin-right: 10px;
  font-size: 1.2rem;
}
p {
  margin: 40px 0px;
  font-size: 1.25rem;
}
.sizes,
.amount {
  display: grid;
  grid-template-columns: 10% 50%;
  grid-gap: 20px;
  margin: 15px 0px;
  height: 6vh;
  align-items: center;

  font-size: 1.5rem;
}

.buttons {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  justify-content: center;
}
input[type="button"] {
  border: none;
  outline: none;
  color: gray;
  background: none;
  cursor: pointer;
  position: relative;
  /* transition: all 2s ease; */
  border-radius: 50%;
  display: block;
}
input[type="button"]:active {
  border: 1px solid black;
  padding: 5px;
  animation: growCircle 2s ease;
}
input[type="button"]:focus {
  color: red;
}

@keyframes growCircle {
  0% {
    border: 1px solid black;
    padding: 0px;
  }
  50% {
    border: 1px solid black;
    padding: 10px;
  }
  80% {
    border: 1px solid black;
    padding: 20px;
  }
  100% {
    border: 1px solid black;
    padding: 0px;
  }
}

button {
  margin-top: 20px;
  width: 40%;
  border: none;
  padding: 10px 0px;
  background: orangered;
  color: white;
  text-transform: uppercase;
  box-shadow: 0px 2px 10px rgba(255, 68, 0, 0.658);
}

.amt {
  display: flex;
}
span {
  margin: 0px 10px;
  color: red;
  font-weight: 900;
}
